[Numpy-discussion] Obscure setup question

Tod M. Neidt tneidt at fidnet.com
Sat Jan 5 02:40:04 CST 2002


I have noticed an interesting difference when installing Numeric-20.3
against python-2.1 vs. python-2.2.

When installing against python-2.1, setup trys to write to

But when installing against python-2.2, this doesn't happen.

Note:  this question came up because I am making an ebuild (basically a
compile and install script) for Gentoo linux, http://www.gentoo.org. 
The attempted write to install_headers.pyc with python-2.1 violates
Gentoo's sandboxed build environment causing the merge to fail.  If you
are interested see 


Just curious if there is a known explanation for this.  The simple fix
on my end, is to set the dependency >=python-2.2.

Thanks for the great program!


More information about the Numpy-discussion mailing list